## v4l-utils 0.8.5

=== lib/libv4lconvert/Makefile ===
override CPPFLAGS += -I../include -fvisibility=hidden

LIBS_libv4lconvert = -lrt -lm -ljpeg

ifeq ($(LINKTYPE),static)
CONVERT_LIB   = libv4lconvert.a
else
CONVERT_LIB   = libv4lconvert.so
override CPPFLAGS += -fPIC
endif

CONVERT_OBJS  = libv4lconvert.o tinyjpeg.o sn9c10x.o sn9c20x.o pac207.o \
		mr97310a.o flip.o crop.o jidctflt.o spca561-decompress.o \
		rgbyuv.o sn9c2028-decomp.o spca501.o sq905c.o bayer.o hm12.o \
		stv0680.o cpia1.o se401.o jpgl.o jpeg.o jpeg_memsrcdest.o \
		control/libv4lcontrol.o processing/libv4lprocessing.o \
		processing/whitebalance.o processing/autogain.o \
		processing/gamma.o helper.o
TARGETS       = $(CONVERT_LIB) libv4lconvert.pc ov511-decomp ov518-decomp
INCLUDES      = ../include/libv4lconvert.h

override CPPFLAGS += -DLIBDIR=\"$(LIBDIR)\" -DLIBSUBDIR=\"$(LIBSUBDIR)\"

all: $(TARGETS)

-include $(CONVERT_OBJS:.o=.d)

$(CONVERT_LIB): $(CONVERT_OBJS)

libv4lconvert.pc:
	@echo prefix=$(PREFIX) > libv4lconvert.pc
	@echo libdir=$(LIBDIR) >> libv4lconvert.pc
	@echo >> libv4lconvert.pc
	@echo 'Name: libv4lconvert' >> libv4lconvert.pc
	@echo 'Description: v4l format conversion library' >> libv4lconvert.pc
	@echo 'Version: '$(V4L_UTILS_VERSION) >> libv4lconvert.pc
	@echo 'Libs: -L$${libdir} -lv4lconvert' >> libv4lconvert.pc
	@echo 'Libs.private: '$(LIBS_libv4lconvert) >> libv4lconvert.pc
	@echo 'Cflags: -I$${prefix}/include' >> libv4lconvert.pc

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/include
	install -p -m 644 $(INCLUDES) $(DESTDIR)$(PREFIX)/include
	mkdir -p $(DESTDIR)$(LIBDIR)/$(LIBSUBDIR)
ifeq ($(LINKTYPE),static)
	install -m 644 $(CONVERT_LIB) $(DESTDIR)$(LIBDIR)
else
	install -m 755 $(CONVERT_LIB).$(LIB_RELEASE) $(DESTDIR)$(LIBDIR)
	cd $(DESTDIR)$(LIBDIR) && \
	  ln -f -s $(CONVERT_LIB).$(LIB_RELEASE) $(CONVERT_LIB)
endif
	install -m 755 *-decomp $(DESTDIR)$(LIBDIR)/$(LIBSUBDIR)
	mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
	install -m 644 libv4lconvert.pc $(DESTDIR)$(LIBDIR)/pkgconfig

clean::
	rm -f */*~ */*.o */*.d */*.orig */*.rej */DEADJOE

ov511-decomp: ov511-decomp.o
ov518-decomp: ov518-decomp.o

include ../../Make.rules

## v4l-utils 0.8.3

=== debian/changelog ===
v4l-utils (0.8.3-1) unstable; urgency=low

  * New Upstream version

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 10 Feb 2011 19:46:17 +0100

v4l-utils (0.8.2-1) unstable; urgency=low

  * Imported Upstream version 0.8.2
  * Removed patches that got applied upstream
  * Keytable maps file got renamed upstream. Adjusted sed command line.
  * Updated copyright file
  * Use upstream manpage for ir-keytable

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 26 Jan 2011 22:35:38 +0100

v4l-utils (0.8.1-2) unstable; urgency=low

  [ Gregor Jasny ]
  * Add ir-keytable; install them into /lib/udev/rc_keymaps (Closes: #601279)
  * Cherry-picked new device table entries from upstream git

  [ Martin Pitt ]
  * debian/control: Add DM-Upload-Allowed flag, so that Gregor can upload by
    himself once he becomes an official DM.

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 12 Dec 2010 17:10:48 +0100

v4l-utils (0.8.1-1) unstable; urgency=low

  * New upstream version (Closes: #598969)
  * Bumped standards to version 3.9.1 (no changes needed)
  * Updated copyright file 

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 03 Oct 2010 16:26:40 +0200

v4l-utils (0.8.0-1) unstable; urgency=low

  * New upstream version
  * Switch to 3.0 (quilt) source format
  * Re-enable pristine-tar
  * Split utils package into command line and the Qt based qv4l2
    (Closes: #576422)
  * Update upstream URL

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 07 May 2010 20:48:34 +0200

v4l-utils (0.7.91-1) experimental; urgency=low

  * New upstream version
  * Reindent v4l-utils long description (Closes: #573598)
  * Add FAQ extry how to port applications to libv4l (Closes: #569607)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 12 Mar 2010 17:20:08 +0100

v4l-utils (0.7.90-1) experimental; urgency=low

  * New upstream version
  * Bumped standards to version 3.8.4 (no changes needed)
  * Updated uploaders field
  * Changed package source name changed to v4l-util
  * Updated copyright file to DEP-5 like syntax
  * Disable pristine tar until bz2 issue is resolved

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 28 Feb 2010 19:44:15 +0100

libv4l (0.6.4-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 18 Jan 2010 21:22:52 +0100

libv4l (0.6.3-1) unstable; urgency=low

  * New Upstream Version
  * Updated Debian copyright file

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 27 Oct 2009 13:33:01 +0000

libv4l (0.6.2-1) unstable; urgency=low

  * New Upstream Version
  * Updated upstream location

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 09 Oct 2009 14:19:54 +0000

libv4l (0.6.1-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 02 Sep 2009 17:19:14 +0200

libv4l (0.6.0-2) unstable; urgency=low

  * Add UID to SHM segment name and fallback to malloc (Closes: #542204)
  * Bumped standards to version 3.8.3 (no changes needed) 

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 19 Aug 2009 14:42:00 +0200

libv4l (0.6.0-1) unstable; urgency=low

  * New Upstream Version
  * Bumped standards to version 3.8.2 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 09 Jul 2009 22:21:22 +0200

libv4l (0.5.99-1) experimental; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 04 Jun 2009 09:48:44 +0200

libv4l (0.5.98-1) experimental; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 26 May 2009 19:56:21 +0200

libv4l (0.5.97-1) experimental; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 16 Apr 2009 13:04:41 +0200

libv4l (0.5.9-2) unstable; urgency=low

  * Updated debian/copyright file (now Lintian clean)

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 14 Mar 2009 11:59:20 +0100

libv4l (0.5.9-1) unstable; urgency=low

  * New Upstream Version
  * Changed maintainers email address
  * Bumped standards to version 3.8.1 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 13 Mar 2009 20:22:46 +0100

libv4l (0.5.8-1) unstable; urgency=low

  [ Gregor Jasny ]
  * New Upstream Version

  [ Loic Minier ]
  * Drop Section: libs from binary packages and rely on the Source's Section,
    per lintian.
  * Expand descriptions slightly for consistency; thanks lintian again.

 -- Gregor Jasny <gjasny@web.de>  Sun, 11 Jan 2009 15:32:37 +0100

libv4l (0.5.7-2) unstable; urgency=low

  [ Gregor Jasny ]
  * Add .private suffix to Requires pkg-config field to
    avoid excessive library dependencies (Closes: #509031)

  [ Loic Minier ]
  * Let libv4l-dev suggest pkg-config (>= 0.18).

 -- Gregor Jasny <gjasny@web.de>  Wed, 17 Dec 2008 22:07:24 +0100

libv4l (0.5.7-1) unstable; urgency=low

  * New Upstream Version
    - Fixes a try_fmt handling bug with UVC cameras (Closes: #507280)

 -- Gregor Jasny <gjasny@web.de>  Wed, 03 Dec 2008 00:14:57 +0100

libv4l (0.5.6-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@web.de>  Sun, 23 Nov 2008 20:01:08 +0100

libv4l (0.5.4-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@web.de>  Mon, 17 Nov 2008 22:24:16 +0100

libv4l (0.5.3-1) unstable; urgency=low

  [ Gregor Jasny ]
  * New Upstream Version

  [ Loic Minier ]
  * Move .gbp.conf to debian/gbp.conf.

 -- Gregor Jasny <gjasny@web.de>  Mon, 27 Oct 2008 21:56:36 +0100

libv4l (0.5.2-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@web.de>  Thu, 23 Oct 2008 22:17:56 +0200

libv4l (0.5.1-1) unstable; urgency=low

  * New Upstream Version
  * Removed quilt dependency as patch got merged upstream
  * Reenable static libs
  * Tightened kernel header version to >= 2.6.19 for frame format enumeration

 -- Gregor Jasny <gjasny@web.de>  Sun, 19 Oct 2008 00:16:28 +0200

libv4l (0.5.0-3) unstable; urgency=low

  [ Kees Cook ]
  * Rename lib* to lib*-0: the major ABI number should be reflected in the
    binary package names.


=== debian/control ===
Source: v4l-utils
Section: video
Priority: optional
Maintainer: Gregor Jasny <gjasny@googlemail.com>
Uploaders: Martin Pitt <mpitt@debian.org>,
           Loic Minier <lool@dooz.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
               libqt4-dev,
               libsysfs-dev,
               linux-libc-dev (>= 2.6.19),
               gcc-multilib [amd64]
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/libv4l.git
Vcs-Git: git://git.debian.org/git/collab-maint/libv4l.git
Homepage: http://linuxtv.org/downloads/v4l-utils/

Package: libv4l-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Collection of video4linux support libraries
 libv4l is a collection of libraries which adds a thin abstraction layer on
 top of video4linux2 devices. The purpose of this (thin) layer is to make it
 easy for application writers to support a wide variety of devices without
 having to write separate code for different devices in the same class. libv4l
 consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 .
 libv4lconvert offers functions to convert from any (known) pixelformat
 to BGR24, RGB24, YUV420 and YVU420.
 .
 libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
 of the drivers for those devices supporting v4l1 compatibility (which many
 v4l2 drivers do not).
 .
 libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
 application transparent libv4lconvert conversion where necessary.
 .
 This package contains the shared libraries.

Package: libv4l-dev
Section: libdevel
Architecture: any
Depends: libv4l-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: pkg-config (>= 0.18)
Description: Collection of video4linux support libraries (development files)
 libv4l is a collection of libraries which adds a thin abstraction layer on
 top of video4linux2 devices. The purpose of this (thin) layer is to make it
 easy for application writers to support a wide variety of devices without
 having to write separate code for different devices in the same class. libv4l
 consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 .
 libv4lconvert offers functions to convert from any (known) pixelformat
 to BGR24, RGB24, YUV420 and YVU420.
 .
 libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
 of the drivers for those devices supporting v4l1 compatibility (which many
 v4l2 drivers do not).
 .
 libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
 application transparent libv4lconvert conversion where necessary.
 .
 This package contains development files (headers and static libraries).

Package: lib32v4l-0
Section: libs
Architecture: amd64
Depends: libv4l-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Collection of video4linux support libraries (32 bits)
 libv4l is a collection of libraries which adds a thin abstraction layer on
 top of video4linux2 devices. The purpose of this (thin) layer is to make it
 easy for application writers to support a wide variety of devices without
 having to write separate code for different devices in the same class. libv4l
 consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 .
 libv4lconvert offers functions to convert from any (known) pixelformat
 to BGR24, RGB24, YUV420 and YVU420.
 .
 libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
 of the drivers for those devices supporting v4l1 compatibility (which many
 v4l2 drivers do not).
 .
 libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
 application transparent libv4lconvert conversion where necessary.
 .
 This package contains the 32 bits version of the shared libraries.

Package: lib32v4l-dev
Section: libdevel
Architecture: amd64
Depends: libv4l-0 (= ${binary:Version}),
         lib32v4l-0 (= ${binary:Version}),
         libv4l-dev (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Collection of video4linux support libraries (32 bits development files)
 libv4l is a collection of libraries which adds a thin abstraction layer on
 top of video4linux2 devices. The purpose of this (thin) layer is to make it
 easy for application writers to support a wide variety of devices without
 having to write separate code for different devices in the same class. libv4l
 consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 .
 libv4lconvert offers functions to convert from any (known) pixelformat
 to BGR24, RGB24, YUV420 and YVU420.
 .
 libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
 of the drivers for those devices supporting v4l1 compatibility (which many
 v4l2 drivers do not).
 .
 libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
 application transparent libv4lconvert conversion where necessary.
 .
 This package contains the 32 bits version of the development files (headers
 and static libraries).

Package: v4l-utils
Section: utils
Architecture: any
Depends: libv4l-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: ivtv-utils
Description: Collection of command line video4linux utilities
 v4l-utils contains the following video4linux command line utilities:
 .
  decode_tm6000: decodes tm6000 proprietary format streams
  v4l2-compliance: tool to test v4l2 API compliance of drivers
  v4l2-ctl, cx18-ctl, ivtv-ctl: tools to control v4l2 controls from the cmdline
  v4l2-dbg: tool to directly get and set registers of v4l2 devices
  v4l2-sysfs-path: sysfs helper tool

Package: qv4l2
Section: utils
Architecture: any
Depends: libv4l-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Graphical Qt v4l2 control panel
 Qt v4l2 control panel application. You can change all through the v4l2
 interface exposed device controls.

Package: ir-keytable
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: udev
Description: Alter keymaps of Remote Controller devices
 This package allows to change the keymap of controller receivers.
 Those receivers are found as infrared receivers on DVB sticks or on
 framegrabber cards. Via ir-keytable the mapping from a scancode to
 the generated event can be customized and made persistent.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

build: build-stamp
build-stamp:
	dh_testdir
	dh_prep
	dh_installdirs -s
	#
	# The Debian library packaging guide mandates that private library subdirs
	# must be versioned with the library package name. However this would break
	# compatibility with older packages so for libv4l-0 lib/libv4l is used.
	# If upstream bumps soname and the package name becomes libv4l-1, use
	# LIBSUBDIR=libv4l-1 as $(MAKE) argument to allow different soname versions
	# to be installed side by side.
	#
	# build shared libs and install
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp install
	# add comments to config file
	mv $(CURDIR)/debian/tmp/etc/rc_maps.cfg $(CURDIR)/debian/tmp/etc/rc_maps.cfg.orig
	sed 's/\(^[^#].*\)/#\1/' < $(CURDIR)/debian/tmp/etc/rc_maps.cfg.orig > $(CURDIR)/debian/tmp/etc/rc_maps.cfg
	# clean object files
	$(MAKE) clean
	# build static libs and install
	$(MAKE) -C lib PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp LINKTYPE=static
	$(MAKE) -C lib PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp LINKTYPE=static install
ifeq ($(DEB_HOST_ARCH), amd64)
	# clean object files
	$(MAKE) clean
	# build 32 bit shared libs and install
	$(MAKE) -C lib CPPFLAGS+=-m32 LDFLAGS+=-m32 PREFIX=/usr LIBDIR=/usr/lib32 DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C lib CPPFLAGS+=-m32 LDFLAGS+=-m32 PREFIX=/usr LIBDIR=/usr/lib32 DESTDIR=$(CURDIR)/debian/tmp install
	# clean object files
	$(MAKE) clean
	# build 32 bit static libs and install
	$(MAKE) -C lib CPPFLAGS+=-m32 LDFLAGS+=-m32 PREFIX=/usr LIBDIR=/usr/lib32 DESTDIR=$(CURDIR)/debian/tmp LINKTYPE=static
	$(MAKE) -C lib CPPFLAGS+=-m32 LDFLAGS+=-m32 PREFIX=/usr LIBDIR=/usr/lib32 DESTDIR=$(CURDIR)/debian/tmp LINKTYPE=static install
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean
	rm -f build-stamp

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_lintian -s
	dh_installudev -s
	dh_installchangelogs -plibv4l-0 -pir-keytable ChangeLog
	dh_installdocs -plibv4l-0 -pir-keytable
	dh_installman -s
	dh_install -s --sourcedir=debian/tmp
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## v4l-utils 0.8.5

=== debian/changelog ===
v4l-utils (0.8.5-6) unstable; urgency=low

  * Add bug report script
  * Disable fancy upsampling (Closes: #647273)
  * Add kFreeBSD support (Closes: #647508)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 11 Nov 2011 10:24:59 +0100

v4l-utils (0.8.5-5) unstable; urgency=low

  * Cherry picked more upside down table patches

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 28 Oct 2011 20:47:49 +0200

v4l-utils (0.8.5-4) unstable; urgency=low

  * Cherry picked some upside down table entries
  * Build separate libv4lconvert library package
  * Drop static libraries
  * Apply dpkg-buildflags for build
  * Tighten architecture to linux-any
  * Fix some Lintian issues

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 01 Oct 2011 17:00:24 +0200

v4l-utils (0.8.5-3) unstable; urgency=medium

  * Disable libjpeg for cross compiled 32bit packages (Closes: #636301)
    The libjpeg.so shipped by ia32-libs-dev does not match the current
    libjpeg-dev header version which leads to broken (M)JPEG support.

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 07 Aug 2011 14:09:04 +0200

v4l-utils (0.8.5-2) unstable; urgency=low

  * Add tinyjpeg quirk from upstream and add some more cameras

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 05 Aug 2011 17:51:03 +0200

v4l-utils (0.8.5-1) unstable; urgency=low

  * Add multiarch support
  * Imported Upstream version 0.8.5

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 20 Jul 2011 21:28:36 +0200

v4l-utils (0.8.4-3) unstable; urgency=low

  * Cherry picked upstream patches
  * Stop commenting entries in ir-keytable config file
    and prefix the individual files names with /lib/udev/rc_keymaps

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 09 Jul 2011 19:09:36 +0200

v4l-utils (0.8.4-2) unstable; urgency=low

  * Add missing get/set fps functions to symbol file

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 12 Jun 2011 19:17:10 +0200

v4l-utils (0.8.4-1) unstable; urgency=low

  * Imported Upstream version 0.8.4
  * Change VCS Browser URL due to alioth migration
  * Add libjpeg dependency
  * Bumped standards to version 3.9.2 (no changes needed)
  * Install qv4l2 desktop file and icons
  * Remove unnecessary dependency on libsysfs (Closes: #627652)
  * Generate Libs.private fields in pkgconfig files from already defined
    Makefile variables.
  * Updated copyright file

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 10 Jun 2011 21:03:52 +0200

v4l-utils (0.8.3-2) unstable; urgency=low

  * Add versioned conflict for ivtv-utils (Closes: #620684)
  * Fix description as linitian suggests
  * Raise debhelper compatibility level to 8

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 17 Apr 2011 17:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,29 @@
 Uploaders: Martin Pitt <mpitt@debian.org>,
            Loic Minier <lool@dooz.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7),
-               libqt4-dev,
-               libsysfs-dev,
-               linux-libc-dev (>= 2.6.19),
+Build-Depends: debhelper (>= 8.1.3),
+               libjpeg-dev,
+               libqt4-dev [linux-any],
                gcc-multilib [amd64]
-Standards-Version: 3.9.1
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libv4l.git
+Standards-Version: 3.9.2
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libv4l.git
 Vcs-Git: git://git.debian.org/git/collab-maint/libv4l.git
 Homepage: http://linuxtv.org/downloads/v4l-utils/
 
 Package: libv4l-0
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
+Architecture: linux-any kfreebsd-any
+Depends: libv4lconvert0 (= ${binary:Version}),
+         ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Collection of video4linux support libraries
  libv4l is a collection of libraries which adds a thin abstraction layer on
  top of video4linux2 devices. The purpose of this (thin) layer is to make it
  easy for application writers to support a wide variety of devices without
  having to write separate code for different devices in the same class. libv4l
  consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
- .
- libv4lconvert offers functions to convert from any (known) pixelformat
- to BGR24, RGB24, YUV420 and YVU420.
  .
  libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
  of the drivers for those devices supporting v4l1 compatibility (which many
@@ -39,10 +38,26 @@
  .
  This package contains the shared libraries.
 
+Package: libv4lconvert0
+Section: libs
+Architecture: linux-any kfreebsd-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: libv4l-0 (<< 0.8.5-4)
+Replaces: libv4l-0 (<< 0.8.5-4)
+Multi-Arch: same
+Description: Video4linux frame format conversion library
+ libv4lconvert offers functions to convert from any (known) pixelformat
+ to BGR24, RGB24, YUV420 and YVU420.
+ .
+ This package contains the shared library.
+
 Package: libv4l-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: libv4l-0 (= ${binary:Version}),
+         libv4lconvert0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: pkg-config (>= 0.18)
@@ -63,7 +78,7 @@
  libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
  application transparent libv4lconvert conversion where necessary.
  .
- This package contains development files (headers and static libraries).
+ This package contains the development files.
 
 Package: lib32v4l-0
 Section: libs
@@ -115,16 +130,16 @@
  libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
  application transparent libv4lconvert conversion where necessary.
  .
- This package contains the 32 bits version of the development files (headers
- and static libraries).
+ This package contains the 32 bits version of the development files.
 
 Package: v4l-utils
 Section: utils
-Architecture: any
+Architecture: linux-any
 Depends: libv4l-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: ivtv-utils
+Replaces: ivtv-utils (<< 1.4.1-2)
+Breaks: ivtv-utils (<< 1.4.1-2)
 Description: Collection of command line video4linux utilities
  v4l-utils contains the following video4linux command line utilities:
  .
@@ -136,7 +151,7 @@
 
 Package: qv4l2
 Section: utils
-Architecture: any
+Architecture: linux-any
 Depends: libv4l-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -146,12 +161,12 @@
 
 Package: ir-keytable
 Section: utils
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: udev
 Description: Alter keymaps of Remote Controller devices
- This package allows to change the keymap of controller receivers.
+ This package allows one to change the keymap of controller receivers.
  Those receivers are found as infrared receivers on DVB sticks or on
  framegrabber cards. Via ir-keytable the mapping from a scancode to
  the generated event can be customized and made persistent.

=== debian/rules ===
#!/usr/bin/make -f

V4L_COMMON_FLAGS = PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

# if we have dpkg 1.16.1
#include /usr/share/dpkg/default.mk
#V4L_COMMON_FLAGS += CPPFLAGS+="$(CPPFLAGS)" CFLAGS+="$(CFLAGS)" CXXFLAGS+="$(CXXFLAGS)" LDFLAGS+="$(LDFLAGS)"

# else

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
V4L_COMMON_FLAGS += CPPFLAGS+="$(shell dpkg-buildflags --get CPPFLAGS)"
V4L_COMMON_FLAGS += CFLAGS+="$(shell dpkg-buildflags --get CFLAGS)"
V4L_COMMON_FLAGS += CXXFLAGS+="$(shell dpkg-buildflags --get CXXFLAGS)"
V4L_COMMON_FLAGS += LDFLAGS+="$(shell dpkg-buildflags --get LDFLAGS)"

# endif

V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBCONVERTSUBDIR=libv4lconvert0
V4L_32BIT_FLAGS  = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib32 CPPFLAGS+=-m32 LDFLAGS+=-m32 DISABLE_LIBJPEG=1 

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	dh_prep
	dh_installdirs -s
	#
	# The Debian library packaging guide mandates that private library subdirs
	# must be versioned with the library package name. However this would break
	# compatibility with older packages so for libv4l-0 lib/libv4l is used.
	# If upstream bumps soname and the package name becomes libv4l-1, use
	# LIBSUBDIR=libv4l-1 as $(MAKE) argument to allow different soname versions
	# to be installed side by side.
	#
	# build shared libs and install
	$(MAKE) $(V4L_NATIVE_FLAGS)
	$(MAKE) $(V4L_NATIVE_FLAGS) install
ifeq ($(DEB_HOST_ARCH_OS), linux)
	# prefix filenames with /lib/udev/rc_keymaps
	sed -i -e 's,^\([^#][[:graph:]]*[[:space:]]\+[[:graph:]]\+[[:space:]]\+\)\([[:graph:]]\+.*\),\1/lib/udev/rc_keymaps/\2,' -e 's,^\(#[[:space:]]\+\*[[:space:]]\+\*[[:space:]]\+\)\([[:alnum:]].*\),\1/lib/udev/rc_keymaps/\2,' $(CURDIR)/debian/tmp/etc/rc_maps.cfg
endif
ifeq ($(DEB_HOST_ARCH), amd64)
	# clean object files
	$(MAKE) clean
	# build 32 bit shared libs and install
	$(MAKE) -C lib $(V4L_32BIT_FLAGS)  
	$(MAKE) -C lib $(V4L_32BIT_FLAGS) install
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean
	rm -f build-stamp

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_lintian -s
	dh_installudev -s
	dh_bugfiles -s
	dh_installchangelogs -plibv4l-0 -pir-keytable -plibv4lconvert0 ChangeLog
	dh_installdocs -plibv4l-0 -pir-keytable -plibv4lconvert0
	dh_installman -s
	dh_install -s --sourcedir=debian/tmp
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s -Xv4l1compat -Xv4l2convert
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## v4l-utils 0.8.6

=== utils/Makefile ===
SUBDIRS=libv4l2util libmedia_dev decode_tm6000 keytable rds v4l2-compliance v4l2-ctl v4l2-dbg v4l2-sysfs-path xc3028-firmware

all install: 
	@for i in $(SUBDIRS); do \
		$(MAKE) -C $$i $@ || exit 1; \
	done

	# Test whether qmake is installed, and whether it is for qt4.
	@if which qmake-qt4 >/dev/null 2>&1; then \
		QMAKE=qmake-qt4; \
	else \
		QMAKE=qmake; \
	fi; \
	if which $$QMAKE >/dev/null 2>&1; then \
		if $$QMAKE --version 2>&1 | grep '4\.[0-9][0-9]*\.[0-9][0-9]*' >/dev/null; then \
			if [ ! -f qv4l2/Makefile ]; then \
				(cd qv4l2 && $$QMAKE) || exit 1; \
			fi; \
			$(MAKE) -C qv4l2 -f Makefile.install $@; \
		fi \
	fi

sync-with-kernel:
	$(MAKE) -C keytable $@
	$(MAKE) -C v4l2-dbg $@
	$(MAKE) -C xc3028-firmware $@

clean::
	@for i in $(SUBDIRS); do \
		$(MAKE) -C $$i $@; \
	done
	$(MAKE) -C v4l2-sysfs-path $@
	if [ -f qv4l2/Makefile ]; then $(MAKE) -C qv4l2 $@; fi
	rm -f qv4l2/Makefile qv4l2/qv4l2

include ../Make.rules

=== debian/changelog ===
v4l-utils (0.8.6-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert multi-arch support

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 25 Feb 2012 12:32:02 -0800

v4l-utils (0.8.6-1) unstable; urgency=low

  * Imported Upstream version 0.8.6
    - Add support for libjpeg >= v7
    - Add new matching algorithm for upside down table (Closes: #639231)
    - Add some more laptop models to the upside down devices table
    - Retry with another frame on JPEG header decode errors
    - Improved JL2005BCD support
    - Set errno to EIO if getting 4 consecutive EAGAIN convert errors
    - Make software autowhitebalance converge faster
    - Add quirk support for forced tinyjpeg fallback

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 10 Feb 2012 21:25:42 +0100

v4l-utils (0.8.5-7) unstable; urgency=low

  * Add 90 degrees rotated JPEG quirk for 145f:013c

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 31 Dec 2011 16:30:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martin Pitt <mpitt@debian.org>,
            Loic Minier <lool@dooz.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.1.3),
+Build-Depends: debhelper (>= 8),
                libjpeg-dev,
                libqt4-dev [linux-any],
                gcc-multilib [amd64]
@@ -20,8 +20,6 @@
 Depends: libv4lconvert0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: Collection of video4linux support libraries
  libv4l is a collection of libraries which adds a thin abstraction layer on
  top of video4linux2 devices. The purpose of this (thin) layer is to make it
@@ -43,10 +41,8 @@
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Breaks: libv4l-0 (<< 0.8.5-4)
 Replaces: libv4l-0 (<< 0.8.5-4)
-Multi-Arch: same
 Description: Video4linux frame format conversion library
  libv4lconvert offers functions to convert from any (known) pixelformat
  to BGR24, RGB24, YUV420 and YVU420.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 V4L_COMMON_FLAGS += CPPFLAGS+="$(shell dpkg-buildflags --get CPPFLAGS)"
 V4L_COMMON_FLAGS += CFLAGS+="$(shell dpkg-buildflags --get CFLAGS)"
 V4L_COMMON_FLAGS += CXXFLAGS+="$(shell dpkg-buildflags --get CXXFLAGS)"
@@ -18,7 +17,7 @@
 
 # endif
 
-V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBCONVERTSUBDIR=libv4lconvert0
+V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBCONVERTSUBDIR=libv4lconvert0
 V4L_32BIT_FLAGS  = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib32 CPPFLAGS+=-m32 LDFLAGS+=-m32 DISABLE_LIBJPEG=1 
 
 build: build-arch build-indep

## v4l-utils 0.8.8

=== debian/changelog ===
v4l-utils (0.8.8-3) unstable; urgency=low

  * Mark libv4l-dev Multi-Arch: same (Closes: #678894)

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 25 Jun 2012 18:28:11 +0200

v4l-utils (0.8.8-2) unstable; urgency=low

  * Add patches from stable-0.8 branch  
    - Build fixes for GCC 4.7
    - Add 04f2:b169 USB ID to ASUS upside down table
    - Add Lenovo Thinkpad X220 Tablet to upside down table
  * Add sanyo and rc-5-sz protocol to ir-keytable (Closes: #675564)

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 06 Jun 2012 08:38:04 +0200

v4l-utils (0.8.8-1) unstable; urgency=low

  * Imported Upstream version 0.8.8
    - Revert Lenovo X201 upside down table entry (Closes: #667958)
    - libv4lconvert: Use bytesperline instead of width
    - libv4lconver: Add 06f8:301b pac7302 based cam to the quirk table
    - tinyjpeg: Better luminance quantization table for Pixart JPEG
    - tinyjpeg: Fix out of bounds array usage
  * Add DVB tools package

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 14 Apr 2012 19:42:06 +0200

v4l-utils (0.8.7-1) unstable; urgency=low

  * Imported Upstream version 0.8.7
    - libv4l2: Prevent GCC 4.7 inlining error (Closes: #667406)
    - qv4l2: fix segfault when there are no inputs or outputs
    - dvb: Merged DVB tools from development branch
    - Add some more laptop models to the upside down devices table

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 06 Apr 2012 20:24:03 +0200

v4l-utils (0.8.6-2) unstable; urgency=low

  * Add patches from stable-0.8 branch
    - Fix ir-keytable file parsing errors
    - Add ThinkPad X200 to upside down table
    - Add ThinkPad X201 to upside down table
    - Add ThinkPad Edge E325 to upside down table
  * Bumped standards to version 3.9.3 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 25 Mar 2012 23:12:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Martin Pitt <mpitt@debian.org>,
            Loic Minier <lool@dooz.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 8.1.3),
                libjpeg-dev,
                libqt4-dev [linux-any],
+               g++-multilib [amd64],
                gcc-multilib [amd64]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libv4l.git
 Vcs-Git: git://git.debian.org/git/collab-maint/libv4l.git
 Homepage: http://linuxtv.org/downloads/v4l-utils/
@@ -20,6 +21,8 @@
 Depends: libv4lconvert0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Collection of video4linux support libraries
  libv4l is a collection of libraries which adds a thin abstraction layer on
  top of video4linux2 devices. The purpose of this (thin) layer is to make it
@@ -41,8 +44,10 @@
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Breaks: libv4l-0 (<< 0.8.5-4)
 Replaces: libv4l-0 (<< 0.8.5-4)
+Multi-Arch: same
 Description: Video4linux frame format conversion library
  libv4lconvert offers functions to convert from any (known) pixelformat
  to BGR24, RGB24, YUV420 and YVU420.
@@ -57,6 +62,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: pkg-config (>= 0.18)
+Multi-Arch: same
 Description: Collection of video4linux support libraries (development files)
  libv4l is a collection of libraries which adds a thin abstraction layer on
  top of video4linux2 devices. The purpose of this (thin) layer is to make it
@@ -145,6 +151,30 @@
   v4l2-dbg: tool to directly get and set registers of v4l2 devices
   v4l2-sysfs-path: sysfs helper tool
 
+Package: dvb-tools
+Section: utils
+Architecture: linux-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Collection of command line DVB utilities
+ This is a series of tools written to help testing and working with DVB,
+ using its latest V5 API. The tools can also work with the DVBv3 API.
+ .
+ The current tools are:
+ .
+ dvb-fe-tool: a simple test application, that reads from the frontend.
+ it also allows one to change the default delivery system.
+ In the future, it may be used to change any property via command line.
+ .
+ dvb-format-convert: converts from zap and scan initial-tuning-data-file
+ into the new format defined to work with DVBv5.
+ .
+ dvbv5-scan: a DVBv5 scan tool.
+ .
+ dvbv5-zap: a DVBv5 zap tool. It allow to tune into a DVB channel, and
+ to watch to a DVB service (e. g. receiving the video and audio
+ streams, via another application using the dvr device).
+
 Package: qv4l2
 Section: utils
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 V4L_COMMON_FLAGS += CPPFLAGS+="$(shell dpkg-buildflags --get CPPFLAGS)"
 V4L_COMMON_FLAGS += CFLAGS+="$(shell dpkg-buildflags --get CFLAGS)"
 V4L_COMMON_FLAGS += CXXFLAGS+="$(shell dpkg-buildflags --get CXXFLAGS)"
@@ -17,7 +18,7 @@
 
 # endif
 
-V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBCONVERTSUBDIR=libv4lconvert0
+V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBCONVERTSUBDIR=libv4lconvert0
 V4L_32BIT_FLAGS  = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib32 CPPFLAGS+=-m32 LDFLAGS+=-m32 DISABLE_LIBJPEG=1 
 
 build: build-arch build-indep
@@ -66,8 +67,8 @@
 	dh_lintian -s
 	dh_installudev -s
 	dh_bugfiles -s
-	dh_installchangelogs -plibv4l-0 -pir-keytable -plibv4lconvert0 ChangeLog
-	dh_installdocs -plibv4l-0 -pir-keytable -plibv4lconvert0
+	dh_installchangelogs -plibv4l-0 -pir-keytable -plibv4lconvert0 -pdvb-tools ChangeLog
+	dh_installdocs -plibv4l-0 -pir-keytable -plibv4lconvert0 -pdvb-tools
 	dh_installman -s
 	dh_install -s --sourcedir=debian/tmp
 	dh_link -s

## v4l-utils 0.8.9

=== Makefile ===
all install:
	$(MAKE) -C lib $@
	$(MAKE) -C utils $@

sync-with-kernel:
	@if [ ! -f $(KERNEL_DIR)/include/linux/videodev2.h -o \
	      ! -f $(KERNEL_DIR)/include/linux/ivtv.h -o \
	      ! -f $(KERNEL_DIR)/include/media/v4l2-chip-ident.h ]; then \
	  echo "Error you must set KERNEL_DIR to point to an extracted kernel source dir"; \
	  exit 1; \
	fi
	cp -a $(KERNEL_DIR)/include/linux/videodev2.h include/linux
	cp -a $(KERNEL_DIR)/include/linux/v4l2-common.h include/linux
	cp -a $(KERNEL_DIR)/include/linux/v4l2-controls.h include/linux
	cp -a $(KERNEL_DIR)/include/linux/ivtv.h include/linux
	cp -a $(KERNEL_DIR)/include/media/v4l2-chip-ident.h include/media
	$(MAKE) -C utils $@

clean::
	rm -f include/*/*~
	$(MAKE) -C lib $@
	$(MAKE) -C utils $@

tag:
	@git tag -a -m "Tag as v4l-utils-$(V4L_UTILS_VERSION)" v4l-utils-$(V4L_UTILS_VERSION)
	@echo "Tagged as v4l-utils-$(V4L_UTILS_VERSION)"

archive-no-tag:
	@git archive --format=tar --prefix=v4l-utils-$(V4L_UTILS_VERSION)/ v4l-utils-$(V4L_UTILS_VERSION) > v4l-utils-$(V4L_UTILS_VERSION).tar
	@bzip2 -f v4l-utils-$(V4L_UTILS_VERSION).tar

archive: clean tag archive-no-tag

export: clean
	tar --transform s/^\./v4l-utils-$(V4L_UTILS_VERSION)/g \
		--exclude=.git -jcvf \
		/tmp/v4l-utils-$(V4L_UTILS_VERSION).tar.bz2 .

include Make.rules

=== lib/libv4lconvert/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 override CPPFLAGS += -I../include -fvisibility=hidden
 
-LIBS_libv4lconvert = -lrt -lm -ljpeg
+LIBS_libv4lconvert = -lrt -lm
 
 ifeq ($(LINKTYPE),static)
 CONVERT_LIB   = libv4lconvert.a
@@ -12,14 +12,21 @@
 CONVERT_OBJS  = libv4lconvert.o tinyjpeg.o sn9c10x.o sn9c20x.o pac207.o \
 		mr97310a.o flip.o crop.o jidctflt.o spca561-decompress.o \
 		rgbyuv.o sn9c2028-decomp.o spca501.o sq905c.o bayer.o hm12.o \
-		stv0680.o cpia1.o se401.o jpgl.o jpeg.o jpeg_memsrcdest.o \
+		stv0680.o cpia1.o se401.o jpgl.o jpeg.o \
 		control/libv4lcontrol.o processing/libv4lprocessing.o \
 		processing/whitebalance.o processing/autogain.o \
 		processing/gamma.o helper.o
 TARGETS       = $(CONVERT_LIB) libv4lconvert.pc ov511-decomp ov518-decomp
 INCLUDES      = ../include/libv4lconvert.h
 
-override CPPFLAGS += -DLIBDIR=\"$(LIBDIR)\" -DLIBSUBDIR=\"$(LIBSUBDIR)\"
+ifeq ($(DISABLE_LIBJPEG),1)
+override CFLAGS += -DDISABLE_LIBJPEG
+else
+LIBS_libv4lconvert += -ljpeg
+CONVERT_OBJS += jl2005bcd.o jpeg_memsrcdest.o
+endif
+
+override CPPFLAGS += -DLIBDIR=\"$(LIBDIR)\" -DLIBSUBDIR=\"$(LIBCONVERTSUBDIR)\"
 
 all: $(TARGETS)
 
@@ -41,7 +48,7 @@
 install: all
 	mkdir -p $(DESTDIR)$(PREFIX)/include
 	install -p -m 644 $(INCLUDES) $(DESTDIR)$(PREFIX)/include
-	mkdir -p $(DESTDIR)$(LIBDIR)/$(LIBSUBDIR)
+	mkdir -p $(DESTDIR)$(LIBDIR)/$(LIBCONVERTSUBDIR)
 ifeq ($(LINKTYPE),static)
 	install -m 644 $(CONVERT_LIB) $(DESTDIR)$(LIBDIR)
 else
@@ -49,7 +56,7 @@
 	cd $(DESTDIR)$(LIBDIR) && \
 	  ln -f -s $(CONVERT_LIB).$(LIB_RELEASE) $(CONVERT_LIB)
 endif
-	install -m 755 *-decomp $(DESTDIR)$(LIBDIR)/$(LIBSUBDIR)
+	install -m 755 *-decomp $(DESTDIR)$(LIBDIR)/$(LIBCONVERTSUBDIR)
 	mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
 	install -m 644 libv4lconvert.pc $(DESTDIR)$(LIBDIR)/pkgconfig

=== utils/v4l2-compliance/Makefile ===
TARGETS = v4l2-compliance

all: $(TARGETS)

-include *.d

v4l2-compliance: v4l2-compliance.o v4l2-test-debug.o v4l2-test-input-output.o \
	v4l2-test-controls.o v4l2-test-io-config.o v4l2-test-formats.o \
	v4l2-test-buffers.o v4l2-test-codecs.o
	$(CXX) $(LDFLAGS) -o $@ $^ -lv4l2 -lv4lconvert -lrt

install: $(TARGETS)
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(TARGETS) $(DESTDIR)$(PREFIX)/bin

include ../../Make.rules

=== utils/v4l2-ctl/Makefile ===
override CPPFLAGS += -DV4L_UTILS_VERSION=\"$(V4L_UTILS_VERSION)\"

TARGETS = cx18-ctl ivtv-ctl v4l2-ctl

all: $(TARGETS)

-include *.d

cx18-ctl: cx18-ctl.o
	$(CC) $(LDFLAGS) -o $@ $^

ivtv-ctl: ivtv-ctl.o
	$(CC) $(LDFLAGS) -o $@ $^ -lm

v4l2-ctl: v4l2-ctl.o v4l2-ctl-common.o v4l2-ctl-tuner.o v4l2-ctl-io.o v4l2-ctl-stds.o v4l2-ctl-vidcap.o v4l2-ctl-vidout.o v4l2-ctl-overlay.o v4l2-ctl-vbi.o v4l2-ctl-selection.o v4l2-ctl-misc.o v4l2-ctl-streaming.o
	$(CXX) $(LDFLAGS) -o $@ $^ -lv4l2 -lv4lconvert -lrt

install: $(TARGETS)
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(TARGETS) $(DESTDIR)$(PREFIX)/bin

include ../../Make.rules

=== utils/xc3028-firmware/Makefile ===
TARGETS = firmware-tool

all: $(TARGETS)

-include *.d

firmware-tool: firmware-tool.o standards.o
	$(CC) $(LDFLAGS) -o $@ $^

sync-with-kernel:
	@if [ ! -f $(KERNEL_DIR)/drivers/media/tuners/tuner-xc2028-types.h ]; then \
	  echo "Error you must set KERNEL_DIR to point to an extracted kernel source dir"; \
	  exit 1; \
	fi
	cp -a $(KERNEL_DIR)/drivers/media/tuners/tuner-xc2028-types.h .

install:

include ../../Make.rules

=== debian/changelog ===
v4l-utils (0.8.9-4) unstable; urgency=low

  * Fix crashes found by Mayhem
  * Bumped standards to version 3.9.4 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 28 Jun 2013 22:29:07 +0200

v4l-utils (0.8.9-3) unstable; urgency=low

  * Added other active authors to copyright file
  * Add patch to use openat syscall on platforms that support it

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 20 Apr 2013 21:19:06 +0200

v4l-utils (0.8.9-2) unstable; urgency=low

  * Dropped deprecated DM-Upload-Allowed flag
  * Added Upstream Metadata file
  * Remove bashisms from bugreport helper script (Closes: #701548)
  * Add two upside down table entries from the upstream 0.8.x branch

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 17 Mar 2013 20:08:40 +0100

v4l-utils (0.8.9-1) unstable; urgency=low

  * Imported Upstream version 0.8.9
    - libv4lconvert: Various Pixart JPEG fixes
    - libv4lconvert: Add more notebooks to the upside down device table
    - keytable: Add support for Sanyo IR and RC-5-SZ protocol
    - keytable: Add missing buttons in shipped keytables (LP: #1054122)
    - v4l2-compliance, v4l-ctl, qv4l2: Sync with development branch
  * Drop 32bit cross compiled libraries

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 09 Oct 2012 18:38:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,12 @@
 Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Uploaders: Martin Pitt <mpitt@debian.org>,
            Loic Minier <lool@dooz.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.1.3),
                libjpeg-dev,
-               libqt4-dev [linux-any],
-               g++-multilib [amd64],
-               gcc-multilib [amd64]
-Standards-Version: 3.9.3
+               libqt4-dev [linux-any]
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libv4l.git
-Vcs-Git: git://git.debian.org/git/collab-maint/libv4l.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/libv4l.git
 Homepage: http://linuxtv.org/downloads/v4l-utils/
 
 Package: libv4l-0
@@ -82,58 +79,6 @@
  .
  This package contains the development files.
 
-Package: lib32v4l-0
-Section: libs
-Architecture: amd64
-Depends: libv4l-0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: Collection of video4linux support libraries (32 bits)
- libv4l is a collection of libraries which adds a thin abstraction layer on
- top of video4linux2 devices. The purpose of this (thin) layer is to make it
- easy for application writers to support a wide variety of devices without
- having to write separate code for different devices in the same class. libv4l
- consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
- .
- libv4lconvert offers functions to convert from any (known) pixelformat
- to BGR24, RGB24, YUV420 and YVU420.
- .
- libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
- of the drivers for those devices supporting v4l1 compatibility (which many
- v4l2 drivers do not).
- .
- libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
- application transparent libv4lconvert conversion where necessary.
- .
- This package contains the 32 bits version of the shared libraries.
-
-Package: lib32v4l-dev
-Section: libdevel
-Architecture: amd64
-Depends: libv4l-0 (= ${binary:Version}),
-         lib32v4l-0 (= ${binary:Version}),
-         libv4l-dev (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: Collection of video4linux support libraries (32 bits development files)
- libv4l is a collection of libraries which adds a thin abstraction layer on
- top of video4linux2 devices. The purpose of this (thin) layer is to make it
- easy for application writers to support a wide variety of devices without
- having to write separate code for different devices in the same class. libv4l
- consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
- .
- libv4lconvert offers functions to convert from any (known) pixelformat
- to BGR24, RGB24, YUV420 and YVU420.
- .
- libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
- of the drivers for those devices supporting v4l1 compatibility (which many
- v4l2 drivers do not).
- .
- libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
- application transparent libv4lconvert conversion where necessary.
- .
- This package contains the 32 bits version of the development files.
-
 Package: v4l-utils
 Section: utils
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 # endif
 
 V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBCONVERTSUBDIR=libv4lconvert0
-V4L_32BIT_FLAGS  = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib32 CPPFLAGS+=-m32 LDFLAGS+=-m32 DISABLE_LIBJPEG=1 
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -42,13 +41,6 @@
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# prefix filenames with /lib/udev/rc_keymaps
 	sed -i -e 's,^\([^#][[:graph:]]*[[:space:]]\+[[:graph:]]\+[[:space:]]\+\)\([[:graph:]]\+.*\),\1/lib/udev/rc_keymaps/\2,' -e 's,^\(#[[:space:]]\+\*[[:space:]]\+\*[[:space:]]\+\)\([[:alnum:]].*\),\1/lib/udev/rc_keymaps/\2,' $(CURDIR)/debian/tmp/etc/rc_maps.cfg
-endif
-ifeq ($(DEB_HOST_ARCH), amd64)
-	# clean object files
-	$(MAKE) clean
-	# build 32 bit shared libs and install
-	$(MAKE) -C lib $(V4L_32BIT_FLAGS)  
-	$(MAKE) -C lib $(V4L_32BIT_FLAGS) install
 endif
 	touch $@
